<?php

class alt_filtro_textual extends WP_Widget
{
    function __construct()
    {
        parent::__construct(

        // Base ID of your widget
            'alt_filtro_textual',

            // Widget name will appear in UI
            'Altimus - Filtro textual',

            // Widget description
            array(
                'description' => 'Busca textual no estoque',
            )
        );


    }

    public function widget($args, $instance)
    {
        $titulo = $instance['titulo'] ?? '';
        $descricao = $instance['descricao'] ?? '';
        $versao = 10;
        wp_enqueue_script('widgetbuscatextual', get_template_directory_uri() . '/widget/alt_filtro_textual/assets/js/script.js', 'jquery', $versao, true);


        ?>

        <aside class="sidebar">
            <section class="widget">
                <h3 class="widget-title"><?= $titulo ?></h3>
                <?php echo $descricao; ?>
                <div class="decor-1">
                </div>


                <form action="<?=alt_get_url_estoque()?>" method="get" class="form-search" id="search-global-form">
                    <input type="text" class="form-search__input"
                           name="veiculo"
                           id="formularioBuscaTextual"
                           placeholder="Informe a marca ou modelo do veículo que está buscando e pressione enter."
                    />
                    <button class="form-search__submit" type="submit"><i class="icon fa fa-search"></i></button>
                </form>


            </section>
        </aside>


        <?php

    }

    public function form($instance)
    {
        $titulo = isset($instance['titulo']) ? esc_attr($instance['titulo']) : '';
        $descricao = isset($instance['descricao']) ? esc_attr($instance['descricao']) : '';

        ?>

        <p>
            <label for="<?php echo $this->get_field_id('titulo'); ?>">
                <?php _e('Titulo'); ?>
            </label>
            <input class="widefat" id="<?php echo $this->get_field_id('titulo'); ?>"
                   name="<?php echo $this->get_field_name('titulo'); ?>"
                   value="<?php echo esc_attr($titulo); ?>"
                   type="text"
            />
        </p>

        <p>
            <label for="<?php echo $this->get_field_id('descricao'); ?>">
                <?php _e('Descricao'); ?>
            </label>
            <input class="widefat" id="<?php echo $this->get_field_id('descricao'); ?>"
                   name="<?php echo $this->get_field_name('descricao'); ?>"
                   value="<?php echo esc_attr($descricao); ?>"
                   type="text"
            />
        </p>


        <?php

    }


    public function update($new_instance, $old_instance)
    {
        $instance = $old_instance;
        $instance['titulo'] = strip_tags($new_instance['titulo']);
        $instance['descricao'] = strip_tags($new_instance['descricao']);

        return $instance;

    }
}
