<?php

class alt_totalizadores extends WP_Widget
{
    function __construct()
    {
        parent::__construct(

        // Base ID of your widget
            'alt_totalizadores',

            // Widget name will appear in UI
            __('Altimus - Totalizadores', 'alt_totalizadores'),

            // Widget description
            array(
                'description' => 'Resumo de totalizadores',
            )
        );


    }

    public function widget($args, $instance)
    {
        $titulo = $instance['titulo'] ?? [];
        $layout = $instance['layout'] ?? [];

        $campo_1 = $instance['campo_1'] ?? null;
        $valor_1 = $instance['valor_1'] ?? null;
        $icone_1 = $instance['icone_1'] ?? null;

        $campo_2 = $instance['campo_2'] ?? null;
        $valor_2 = $instance['valor_2'] ?? null;
        $icone_2 = $instance['icone_2'] ?? null;

        $campo_3 = $instance['campo_3'] ?? null;
        $valor_3 = $instance['valor_3'] ?? null;
        $icone_3 = $instance['icone_3'] ?? null;

        $campo_4 = $instance['campo_4'] ?? null;
        $valor_4 = $instance['valor_4'] ?? null;
        $icone_4 = $instance['icone_4'] ?? null;


        if ($layout == 'modelo2') {
            include 'modelo2.php';
        } else {
            include 'modelo1.php';
        }


    }

    public function form($instance)
    {

        $titulo = isset ($instance['titulo']) ? $instance['titulo'] : '';

        $layout = isset ($instance['layout']) ? $instance['layout'] : 'modelo1';

        $campo_1 = isset ($instance['campo_1']) ? $instance['campo_1'] : '';
        $valor_1 = isset ($instance['valor_1']) ? $instance['valor_1'] : '';
        $icone_1 = isset ($instance['icone_1']) ? $instance['icone_1'] : '';


        $campo_2 = isset ($instance['campo_2']) ? $instance['campo_2'] : '';
        $valor_2 = isset ($instance['valor_2']) ? $instance['valor_2'] : '';
        $icone_2 = isset ($instance['icone_2']) ? $instance['icone_2'] : '';


        $campo_3 = isset ($instance['campo_3']) ? $instance['campo_3'] : '';
        $valor_3 = isset ($instance['valor_3']) ? $instance['valor_3'] : '';
        $icone_3 = isset ($instance['icone_3']) ? $instance['icone_3'] : '';

        $campo_4 = isset ($instance['campo_4']) ? $instance['campo_4'] : '';
        $valor_4 = isset ($instance['valor_4']) ? $instance['valor_4'] : '';
        $icone_4 = isset ($instance['icone_4']) ? $instance['icone_4'] : '';

        $arrIcones = [
            'far fa-handshake',
            'far fa-gem',
            'fas fa-award',
            'fas fa-medal',
            'fas fa-trophy',
            'far fa-thumbs-up',
            'fa fa-car',
            'fas fa-user-tie',
            'fas fa-paperclip',
            'far fa-compass'
        ];
        ?>

        <p>
            <label for="<?php echo $this->get_field_id('layout'); ?>">
                <?php _e('Layout'); ?>
            </label>
            <select class="widefat"
                    id="<?php echo $this->get_field_id('layout'); ?>"
                    name="<?php echo $this->get_field_name('layout'); ?>"
            >


                <option value="modelo1" <?php echo ('modelo1' == $layout) ? 'selected' : ''; ?>>
                    Modelo 1
                </option>

                <option value="modelo2" <?php echo ('modelo2' == $layout) ? 'selected' : ''; ?>>
                    Modelo 2
                </option>


            </select>
        </p>

        <p>
            <label for="<?php echo $this->get_field_id('titulo'); ?>">
                <?php _e('Titulo'); ?>
            </label>
            <input class="widefat" id="<?php echo $this->get_field_id('titulo'); ?>"
                   name="<?php echo $this->get_field_name('titulo'); ?>"
                   placeholder="Titulo/Valor"
                   value="<?php echo esc_attr($titulo); ?>"
                   type="text"
            />
        </p>

        <hr/>
        <p>
            <label for="<?php echo $this->get_field_id('campo_1'); ?>">
                <?php _e('Campo 1'); ?>
            </label>


            <select class="widefat"
                    id="<?php echo $this->get_field_id('icone_1'); ?>"
                    name="<?php echo $this->get_field_name('icone_1'); ?>"
            >
                <?php foreach ($arrIcones as $id => $icone): ?>

                    <option value="<?= $icone; ?>" <?php echo ($icone == $icone_1) ? 'selected' : ''; ?>>
                        <?= $icone; ?>
                    </option>

                <?php endforeach; ?>
            </select>
        </p>

        <p>
            <input class="widefat" id="<?php echo $this->get_field_id('valor_1'); ?>"
                   name="<?php echo $this->get_field_name('valor_1'); ?>"
                   placeholder="Titulo/Valor"
                   value="<?php echo esc_attr($valor_1); ?>"
                   type="text"
            />
        </p>

        <p>
            <input class="widefat" id="<?php echo $this->get_field_id('campo_1'); ?>"
                   name="<?php echo $this->get_field_name('campo_1'); ?>"
                   value="<?php echo esc_attr($campo_1); ?>"
                   placeholder="Descrição"
                   type="text"
            />
        </p>

        <hr/>

        <p>
            <label for="<?php echo $this->get_field_id('campo_2'); ?>">
                <?php _e('Campo 2'); ?>
            </label>


            <select class="widefat"
                    id="<?php echo $this->get_field_id('icone_2'); ?>"
                    name="<?php echo $this->get_field_name('icone_2'); ?>"
            >
                <?php foreach ($arrIcones as $id => $icone): ?>

                    <option value="<?= $icone; ?>" <?php echo ($icone == $icone_2) ? 'selected' : ''; ?>>
                        <?= $icone; ?>
                    </option>

                <?php endforeach; ?>
            </select>
        </p>

        <p>
            <input class="widefat" id="<?php echo $this->get_field_id('valor_2'); ?>"
                   name="<?php echo $this->get_field_name('valor_2'); ?>"
                   value="<?php echo esc_attr($valor_2); ?>"
                   placeholder="Titulo/Valor"
                   type="text"
            />
        </p>

        <p>
            <input class="widefat" id="<?php echo $this->get_field_id('campo_2'); ?>"
                   name="<?php echo $this->get_field_name('campo_2'); ?>"
                   value="<?php echo esc_attr($campo_2); ?>"
                   placeholder="Descrição"
                   type="text"
            />
        </p>

        <hr/>

        <p>
            <label for="<?php echo $this->get_field_id('campo_3'); ?>">
                <?php _e('Campo 3'); ?>
            </label>


            <select class="widefat"
                    id="<?php echo $this->get_field_id('icone_3'); ?>"
                    name="<?php echo $this->get_field_name('icone_3'); ?>"
            >
                <?php foreach ($arrIcones as $id => $icone): ?>

                    <option value="<?= $icone; ?>" <?php echo ($icone == $icone_3) ? 'selected' : ''; ?>>
                        <?= $icone; ?>
                    </option>

                <?php endforeach; ?>
            </select>
        </p>

        <p>
            <input class="widefat" id="<?php echo $this->get_field_id('valor_3'); ?>"
                   name="<?php echo $this->get_field_name('valor_3'); ?>"
                   value="<?php echo esc_attr($valor_3); ?>"
                   placeholder="Titulo/Valor"
                   type="text"
            />
        </p>

        <p>
            <input class="widefat" id="<?php echo $this->get_field_id('campo_3'); ?>"
                   name="<?php echo $this->get_field_name('campo_3'); ?>"
                   value="<?php echo esc_attr($campo_3); ?>"
                   placeholder="Descrição"
                   type="text"
            />
        </p>

        <hr/>

        <p>
            <label for="<?php echo $this->get_field_id('campo_4'); ?>">
                <?php _e('Campo 4'); ?>
            </label>


            <select class="widefat"
                    id="<?php echo $this->get_field_id('icone_4'); ?>"
                    name="<?php echo $this->get_field_name('icone_4'); ?>"
            >
                <?php foreach ($arrIcones as $id => $icone): ?>

                    <option value="<?= $icone; ?>" <?php echo ($icone == $icone_4) ? 'selected' : ''; ?>>
                        <?= $icone; ?>
                    </option>

                <?php endforeach; ?>
            </select>
        </p>
        <p>
            <input class="widefat" id="<?php echo $this->get_field_id('valor_4'); ?>"
                   name="<?php echo $this->get_field_name('valor_4'); ?>"
                   placeholder="Titulo/Valor"
                   value="<?php echo esc_attr($valor_4); ?>"
                   type="text"
            />
        </p>
        <p>
            <input class="widefat" id="<?php echo $this->get_field_id('campo_4'); ?>"
                   name="<?php echo $this->get_field_name('campo_4'); ?>"
                   value="<?php echo esc_attr($campo_4); ?>"
                   placeholder="Descrição"
                   type="text"
            />
        </p>

        <?php

    }


    public function update($new_instance, $old_instance)
    {
        $instance = $old_instance;
        $instance['titulo'] = esc_html($new_instance['titulo']);
        $instance['layout'] = esc_html($new_instance['layout']);

        $instance['campo_1'] = esc_html($new_instance['campo_1']);
        $instance['valor_1'] = esc_html($new_instance['valor_1']);
        $instance['icone_1'] = esc_html($new_instance['icone_1']);

        $instance['campo_2'] = esc_html($new_instance['campo_2']);
        $instance['valor_2'] = esc_html($new_instance['valor_2']);
        $instance['icone_2'] = esc_html($new_instance['icone_2']);

        $instance['campo_3'] = esc_html($new_instance['campo_3']);
        $instance['valor_3'] = esc_html($new_instance['valor_3']);
        $instance['icone_3'] = esc_html($new_instance['icone_3']);

        $instance['campo_4'] = esc_html($new_instance['campo_4']);
        $instance['valor_4'] = esc_html($new_instance['valor_4']);
        $instance['icone_4'] = esc_html($new_instance['icone_4']);

        return $instance;

    }
}
